### Constructor

# PapersView JobRenderTexture new

#### Declaration [src]

    PpsJob*
    pps_job_render_texture_new (
      PpsDocument* document,
      gint page,
      gint rotation,
      gdouble scale,
      gint width,
      gint height,
      PpsRenderAnnotsFlags annot_flags
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `PpsDocument`

  No description available.

  The data is owned by the caller of the function.

`page`

  Type: `gint`

  No description available.

`rotation`

  Type: `gint`

  No description available.

`scale`

  Type: `gdouble`

  No description available.

`width`

  Type: `gint`

  No description available.

`height`

  Type: `gint`

  No description available.

`annot_flags`

  Type: `PpsRenderAnnotsFlags`

  No description available.

#### Return value

Type: `PpsJob`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.